;**********************************************************************;
;*                 C A P   G E M I N I   L O G O                      *;
;*--------------------------------------------------------------------*;
;*    doel           : toont het Cap Gemini logo op een tekstscherm   *;
;*--------------------------------------------------------------------*;
;*    filenaam       : logo.asm                                       *;
;*    auteur         : Roland Leurs                                   *;
;*                     Cap Gemini Fileserverbeheer                    *;
;*    ontwikkeld     : 4 feb 1997                                     *;
;*    laatste update :                                                *;
;*--------------------------------------------------------------------*;
;*    assembleren    : opnemen als include file in logo.asm           *;
;*--------------------------------------------------------------------*;
;*    oproep         : -                                              *;
;**********************************************************************;


random          proc    near            ; genereer pseudo random getal
                mov     si,rndptr       ; laadt random pointer
                xor     ah,ah
                xor     bh,bh
                mov     al,byte ptr rndtbl[si]
                mov     bl,byte ptr rndtbl+1[si]
                inc     si              ; verhoog pointer
                cmp     si,512          ; test op einde data gebied
                jne     random1         ; spring indien niet einde
                xor     si,si           ; bx wordt 0
random1:        mov     rndptr,si       ; zet pointer in geheugen
                ret                     ; einde routine
random          endp
                    
rndtbl: db   15,  9,  4, 16, 23,  4, 15, 20,  9,  6, 25, 19, 14, 20, 33, 20
        db   16,  4, 15, 15, 31,  9,  9, 12, 27, 17, 17,  2,  2, 10, 18,  1
        db   12,  7, 10,  2, 24,  4,  6, 14, 31, 16,  1, 12, 32, 10, 16,  5
        db   23, 13,  5,  3, 35, 12, 32,  5,  2, 18, 15,  7, 34,  8, 13,  6
        db   18,  8, 22, 10, 21,  3, 29,  4, 26, 12, 19,  3, 23, 16, 13,  7
        db   30,  4, 23,  7,  4, 20, 13, 17,  4, 14,  4,  7, 35, 19, 34,  2
        db   18, 14,  5,  9, 32,  9,  6,  1,  8, 11,  2,  9,  3,  2, 15, 15
        db    6, 16, 21, 15, 12,  2, 16, 18, 19, 12,  5,  6, 20,  4, 18, 10
        db    5, 17, 11,  2, 24, 12, 17, 20,  5,  9,  3,  4, 34,  3,  7, 10
        db   14, 13,  9, 18, 12, 10, 25, 10, 28,  2, 28, 12, 18, 16, 16, 16
        db   34,  5,  5, 19, 24,  8, 15, 20, 34,  9, 14, 12, 35,  2, 20, 15
        db   22, 15, 20,  5,  9, 17, 30, 19,  2, 10, 21,  5, 32,  7,  6,  9
        db    9,  7, 33, 12, 28,  7, 18, 13,  4,  6, 15, 11, 34,  1,  2, 10
        db    8, 20,  2, 16, 13,  5, 31,  4, 13, 10,  7,  2, 12, 20, 29, 16
        db   22,  7, 10, 13, 31,  1, 13, 14, 35,  8,  6,  6,  5, 10, 13, 10
        db   24, 12, 17,  5, 32, 13, 32,  6,  8, 12,  5, 17, 13,  1, 14, 12
        db    7, 20, 32, 18, 19,  1, 33, 18, 29,  3,  2, 10, 31,  3, 32,  6
        db   12, 17, 15, 13,  1, 15, 34, 18, 23, 17, 35, 16,  7,  6, 32, 19
        db   15,  1, 33, 15, 28,  5, 27, 12, 33, 11, 35, 11,  2,  2,  9, 15
        db   20, 20, 28,  7, 35,  7, 23,  2, 16, 20, 20,  6, 30,  7,  3, 12
        db   30, 16, 13,  5, 11, 11, 28, 15,  2, 18, 25, 13,  1,  8,  4, 18
        db   11, 12, 34, 15, 31,  4, 17,  9,  3, 15,  4,  7, 16, 16, 35,  1
        db   30, 18,  2, 18, 33,  5,  9,  2,  6,  1, 12, 15, 30,  5, 27, 16
        db   26, 18,  2, 14, 10,  2, 29, 18, 20,  7, 30,  8, 20,  7, 31,  3
        db    9,  6,  2,  2, 25, 20, 21, 15,  1,  4,  5, 15, 14,  5, 12,  3
        db   12, 14, 23,  2,  4, 15,  3, 15, 11, 20, 12,  4, 29,  4,  9, 19
        db   11,  7, 25,  5, 27,  8, 30, 19,  9, 11, 12, 10, 31,  2, 18, 19
        db    7,  9,  1,  6, 14,  8, 24,  8, 33, 15, 10, 20, 35,  2, 27, 13
        db   29, 14,  5, 19, 23, 19,  7, 18, 23,  5, 17, 18, 30, 16, 23,  7
        db   11,  5, 30,  9, 20, 15, 21,  9, 30,  7, 14, 11, 23,  3,  6, 17
        db   11, 13,  1, 10, 17,  8, 17,  6, 32, 12,  5,  1, 20,  8, 19,  9
        db   19, 11, 18,  6, 34, 11, 16,  4, 15,  6,  6,  3, 28, 12, 20, 10
